Skip to main content
GET
/
v1.0
/
leads
/
{leadId}
Get Lead
curl --request GET \
  --url https://api.lofty.com/v1.0/leads/{leadId} \
  --header 'Authorization: <authorization>'
{
  "cannotText": true,
  "cannotCall": true,
  "cannotEmail": true,
  "leadId": 123,
  "leadUserId": 123,
  "firstName": "<string>",
  "lastName": "<string>",
  "birthday": "<string>",
  "emails": [
    "jane.doe@example.com",
    "jdoe-work@company.com"
  ],
  "phones": [
    "+14155551234",
    "+12125559876"
  ],
  "leadSource": 123,
  "source": "<string>",
  "stageId": 123,
  "stage": "<string>",
  "assignedUserId": 123,
  "assignedUser": "<string>",
  "lenderUserId": 123,
  "score": 123,
  "tags": [
    {
      "leadId": 123,
      "tagId": 123,
      "createTime": "<string>",
      "updateTime": "<string>",
      "tagName": "<string>",
      "creatorUserId": 123,
      "visibleType": 123
    }
  ],
  "teamId": 123,
  "streetAddress": "<string>",
  "city": "<string>",
  "state": "<string>",
  "zipCode": "<string>",
  "createTime": "<string>",
  "assignTime": "<string>",
  "facebook": "<string>",
  "twitter": "<string>",
  "hiddenFlag": true,
  "referredBy": "<string>",
  "leadInquiry": {
    "priceMin": 1,
    "priceMax": 10000000,
    "propertyType": [
      "Single Family Home",
      "Condo"
    ],
    "bedroomsMin": 1,
    "bathroomsMin": "1",
    "locations": [
      {
        "city": "Austin",
        "stateCode": "TX"
      }
    ],
    "id": 123,
    "leadUserId": 123,
    "bedroomsMax": 123,
    "bathroomsMax": "<string>",
    "modifyByAgent": true,
    "createTime": "2023-11-07T05:31:56Z",
    "updateTime": "2023-11-07T05:31:56Z",
    "defaultValue": true
  },
  "leadPropertyList": [
    {
      "price": 100000,
      "state": "California",
      "city": "New York",
      "streetAddress": "22348 Regnart RD",
      "zipCode": "25401",
      "county": "<string>",
      "propertyType": "Single Family Home",
      "bedrooms": 3,
      "bathrooms": 2,
      "squareFeet": 100,
      "lotSize": 26.33,
      "parkingSpace": 1,
      "floors": 1,
      "mailAddress": true,
      "id": 123,
      "leadUserId": 123,
      "listingId": "<string>",
      "autoListingId": 123,
      "label": "<string>",
      "note": "<string>",
      "listingStatus": "<string>",
      "labelList": "<string>",
      "pictureUrl": "<string>",
      "siteListingUrl": "<string>",
      "labelType": "<string>"
    }
  ],
  "customAttributes": [
    {
      "attributeName": "<string>",
      "attributeType": "number, text, date, single_select, multi_select, percentage, currency",
      "value": "<string>",
      "params": "<string>"
    }
  ],
  "lastUpdateTime": "<string>",
  "groups": [
    "VIP Clients",
    "Open House Feb"
  ],
  "segments": [
    "First-Time Buyers",
    "Downtown Area"
  ],
  "unsubscription": true,
  "leadTypes": [
    2,
    5
  ],
  "lastTouch": "<string>",
  "lastVisit": "<string>",
  "phoneStatuses": [
    2,
    3
  ],
  "assignCompletionStatus": true,
  "buyingTimeFrame": "6-12",
  "preQual": "Yes",
  "houseToSell": "Yes",
  "fthb": "Yes",
  "withBuyerAgent": "Yes",
  "sellingTimeFrame": "1-3",
  "mortgage": "Yes",
  "buyHouse": "Yes",
  "withListingAgent": "Yes",
  "opportunity": "High Interest",
  "leadFamilyMemberList": [
    {
      "firstName": "<string>",
      "relationship": "<string>",
      "lastName": "<string>",
      "phones": [
        "+14155551234"
      ],
      "emails": [
        "spouse@example.com"
      ],
      "birthday": "<string>"
    }
  ],
  "pondId": 123,
  "pondName": "<string>",
  "customRoleList": [
    {
      "roleId": 123,
      "role": "<string>",
      "assigneeId": 123,
      "assignee": "<string>"
    }
  ],
  "language": "<string>",
  "ownershipId": 123,
  "ownershipScope": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.lofty.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string
required

Bearer [access_token]

Path Parameters

leadId
integer<int64>
required

ID of the lead to retrieve.

Required range: x >= 1

Query Parameters

withTrash
boolean
default:false

When true, include trashed leads in the lookup.

Response

Lead retrieved successfully.

cannotText
boolean

false: can send message to the lead

cannotCall
boolean

false: can call to the lead

cannotEmail
boolean

false: can email to the lead

leadId
integer<int64>

The Id of the lead

leadUserId
integer<int64>

The user Id of the lead

firstName
string

The first/given name of the lead

lastName
string

The last/family name of the lead

birthday
string

The birthday of the lead

emails
string[]

The email list of the lead

Example:
[
"jane.doe@example.com",
"jdoe-work@company.com"
]
phones
string[]

The phone list of the lead

Example:
["+14155551234", "+12125559876"]
leadSource
integer<int32>

The leadSource(Id) about the lead

source
string

The source of the lead

stageId
integer<int64>

The stageId of the lead

stage
string

The stage of the lead

assignedUserId
integer<int64>

The user Id of the lead assigned to

assignedUser
string

The Username of the lead assigned to

lenderUserId
integer<int64>

The user Id of the lead's lender

score
integer<int32>

The score of the lead

tags
object[]

The tags of the lead

teamId
integer<int64>

The teamId of the lead's team

streetAddress
string
deprecated

The streetAddress associated with the lead. Deprecated: please use the streetAddress field in leadPropertyList instead.

city
string
deprecated

The city associated with the lead. Deprecated: please use the city field in leadPropertyList instead.

state
string
deprecated

The state associated with the lead. Deprecated: please use the state field in leadPropertyList instead.

zipCode
string
deprecated

The zip code associated with the lead. Deprecated: please use the zipCode field in leadPropertyList instead.

createTime
string

The create time of the lead

assignTime
string

The assigned time of the lead

facebook
string

The Facebook account of the lead

twitter
string

The Twitter account of the lead

hiddenFlag
boolean

The lead is hidden or not

referredBy
string

The referee of the lead

leadInquiry
object

LeadInquirys

leadPropertyList
object[]

LeadPropertyList

customAttributes
object[]

User customized field

lastUpdateTime
string

The update time of the lead

groups
string[]
deprecated

The groups that the lead in. Deprecated, use segments instead.

Example:
["VIP Clients", "Open House Feb"]
segments
string[]

The segments that the lead in

Example:
["First-Time Buyers", "Downtown Area"]
unsubscription
boolean

Unsubscription the email

leadTypes
integer<int32>[]

Types of lead, expressed by ID. Type ID : Other (-1), Seller (1), Buyer (2), Renter (5), Investor (6), Agent (7), Homeowner (8), Landlord (9)

Example:
[2, 5]
lastTouch
string

The last touch time of the lead

lastVisit
string

The last visit time of the lead

phoneStatuses
integer<int32>[]

The status of the phone number Type id: invaild number(1), vaild number(2), talked(3), DNC Number(4), DNC Contact(5)

Example:
[2, 3]
assignCompletionStatus
boolean

Whether complete all lead assign process

buyingTimeFrame
string

buying time frame, 1-3, 3-6, 6-12, 12+, Just Looking, Refinancing.

Example:

"6-12"

preQual
string

Pre-qual, Yes or No

Example:

"Yes"

houseToSell
string

House to Sell, Yes or No

Example:

"Yes"

fthb
string

first time home buyer, Yes or No

Example:

"Yes"

withBuyerAgent
string

With buyer Agent, Yes or No

Example:

"Yes"

sellingTimeFrame
string

selling time frame, 1-3, 3-6, 6-12, 12+, Just Looking, Refinancing.

Example:

"1-3"

mortgage
string

Mortgage, Yes or No.

Example:

"Yes"

buyHouse
string

Buy a house, Yes or No.

Example:

"Yes"

withListingAgent
string

With listing agent, Yes or No.

Example:

"Yes"

opportunity
string

The opportunity type of the lead

Example:

"High Interest"

leadFamilyMemberList
object[]

A list of family members associated with the lead

pondId
integer<int64>

The Id of the lead's pond

pondName
string

The Name of the lead's pond

customRoleList
object[]
language
string

The language of the lead

ownershipId
integer<int64>
ownershipScope
string